## GRID BACKGROUND ##
grid.props =
	image: "images/gridlines.png"
	style:
		backgroundPosition: "0px 0px"
		backgroundRepeat: "repeat"
		backgroundSize: "auto"


## STATES FOR THE BLUE DOTS ##
for dot in [blue_dot_1, blue_dot_2, blue_dot_3]
	# «active» state + overriding the «default» state
	dot.states =
		active:
			opacity: 1
			scale: 1.5
		default:
			opacity: 0
			scale: 1
	
	# set to «default»
	dot.stateSwitch "default"


## STATES FOR THE LAYER ##
layerA.states =
	a:
		x: Align.center
		borderRadius: 70
		backgroundColor: "#877DD7"
	b:
		x: Align.right -40
		backgroundColor: "#7DDD11"

layerA.animationOptions = 
	time: 2


## STATE SWITCH EVENTS ##
layerA.onStateSwitchStart ->
	blue_dot_1.stateSwitch "active"
	blue_dot_1.animate "default"

layerA.onStateSwitchStop ->
	blue_dot_2.stateSwitch "active"
	blue_dot_2.animate "default"

layerA.onStateSwitchEnd ->
	blue_dot_3.stateSwitch "active"
	blue_dot_3.animate "default"


## BUTTONS ##
button_default.onTapStart ->
	@backgroundColor = "rgba(153,153,153,1)"
button_default.onTap ->
	@backgroundColor = "white"
	layerA.animate "default"

button_a.onTapStart ->
	@backgroundColor = "rgba(153,153,153,1)"
button_a.onTap ->
	@backgroundColor = "white"
	layerA.animate "a"

button_b.onTapStart ->
	@backgroundColor = "rgba(153,153,153,1)"
button_b.onTap ->
	@backgroundColor = "white"
	layerA.animate "b"
